Changeset 2675


Ignore:
Timestamp:
Dec 1, 2012 2:46:33 PM (8 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/configure

    r2667 r2675  
    10831083                          icl/link). Default when mentioned: mingw. Default
    10841084                          when not mentioned: disabled.
    1085   --enable-static-standardlibs
    1086                           whether to link against static standard libraries
    1087                           (libgcc, libgfortran, libstdc++)
    10881085  --disable-pthread-mumps disable use of pthread library
    10891086  --enable-static[=PKGS]
     
    19421939
    19431940
    1944 # check whether to add flags for static linking against standard libraries
    1945 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1946 if test "${enable_static_standardlibs+set}" = set; then
    1947   enableval="$enable_static_standardlibs"
    1948   case "$enableval" in
    1949      no | yes | auto ) ;;
    1950      *)
    1951        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1952 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1953    { (exit 1); exit 1; }; } ;;
    1954    esac
    1955    use_static_standardlibs=$enableval
    1956 else
    1957   if test $enable_shared = yes ; then
    1958      use_static_standardlibs = no
    1959    else
    1960      use_static_standardlibs = auto
    1961    fi
    1962 
    1963 
    1964 fi;
    1965 
    1966 
    1967 
    1968 
    1969 
    19701941
    19711942ac_ext=c
     
    30913062    CFLAGS="$OPT_CFLAGS"
    30923063  fi
    3093 
    30943064else
    30953065  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32603230esac
    32613231
    3262 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3263 if test x$use_static_standardlibs != xno ; then
    3264   case $build in
    3265     *-mingw*)
    3266       static_standardlib_flag=-static
    3267       ;;
    3268     *)
    3269       static_standardlib_flag=-static-libgcc
    3270       ;;
    3271   esac
    3272   case " $LDFLAGS " in
    3273     *" $static_standardlib_flag "* ) ;;
    3274     *)
    3275     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3276 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3277     coin_save_LDFLAGS="$LDFLAGS"
    3278     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3279     cat >conftest.$ac_ext <<_ACEOF
    3280 /* confdefs.h.  */
    3281 _ACEOF
    3282 cat confdefs.h >>conftest.$ac_ext
    3283 cat >>conftest.$ac_ext <<_ACEOF
    3284 /* end confdefs.h.  */
    3285 
    3286 int
    3287 main ()
    3288 {
    3289 int i=0;
    3290   ;
    3291   return 0;
    3292 }
    3293 _ACEOF
    3294 rm -f conftest.$ac_objext conftest$ac_exeext
    3295 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3296   (eval $ac_link) 2>conftest.er1
    3297   ac_status=$?
    3298   grep -v '^ *+' conftest.er1 >conftest.err
    3299   rm -f conftest.er1
    3300   cat conftest.err >&5
    3301   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3302   (exit $ac_status); } &&
    3303          { ac_try='test -z "$ac_c_werror_flag"
    3304                          || test ! -s conftest.err'
    3305   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3306   (eval $ac_try) 2>&5
    3307   ac_status=$?
    3308   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3309   (exit $ac_status); }; } &&
    3310          { ac_try='test -s conftest$ac_exeext'
    3311   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3312   (eval $ac_try) 2>&5
    3313   ac_status=$?
    3314   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3315   (exit $ac_status); }; }; then
    3316   echo "$as_me:$LINENO: result: yes" >&5
    3317 echo "${ECHO_T}yes" >&6
    3318 else
    3319   echo "$as_me: failed program was:" >&5
    3320 sed 's/^/| /' conftest.$ac_ext >&5
    3321 
    3322 echo "$as_me:$LINENO: result: no" >&5
    3323 echo "${ECHO_T}no" >&6
    3324        LDFLAGS="$coin_save_LDFLAGS"
    3325        if test $use_static_standardlibs = yes ; then
    3326          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3327 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3328    { (exit 1); exit 1; }; }
    3329        fi
    3330 
    3331 fi
    3332 rm -f conftest.err conftest.$ac_objext \
    3333       conftest$ac_exeext conftest.$ac_ext
    3334     ;;
    3335   esac
    3336 fi
    3337 
    33383232ac_ext=c
    33393233ac_cpp='$CPP $CPPFLAGS'
     
    33643258
    33653259
    3366 
    33673260ac_ext=f
    33683261ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    35743467
    35753468# Provide some information about the compiler.
    3576 echo "$as_me:3576:" \
     3469echo "$as_me:3469:" \
    35773470     "checking for Fortran 77 compiler version" >&5
    35783471ac_compiler=`set X $ac_compile; echo $2`
     
    39413834    FFLAGS="$OPT_FFLAGS"
    39423835  fi
    3943 
    39443836else
    39453837  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    40843976esac
    40853977
    4086 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4087 if test x$use_static_standardlibs != xno ; then
    4088   case $build in
    4089     *-mingw*)
    4090       static_standardlib_flag=-static
    4091       ;;
    4092     *)
    4093       static_standardlib_flag=-static-libgfortran
    4094       ;;
    4095   esac
    4096   case " $LDFLAGS " in
    4097     *" $static_standardlib_flag "* ) ;;
    4098     *)
    4099     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4100 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4101     coin_save_LDFLAGS="$LDFLAGS"
    4102     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4103     cat >conftest.$ac_ext <<_ACEOF
    4104       program main
    4105       integer i
    4106       end
    4107 _ACEOF
    4108 rm -f conftest.$ac_objext conftest$ac_exeext
    4109 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4110   (eval $ac_link) 2>conftest.er1
    4111   ac_status=$?
    4112   grep -v '^ *+' conftest.er1 >conftest.err
    4113   rm -f conftest.er1
    4114   cat conftest.err >&5
    4115   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4116   (exit $ac_status); } &&
    4117          { ac_try='test -z "$ac_f77_werror_flag"
    4118                          || test ! -s conftest.err'
    4119   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4120   (eval $ac_try) 2>&5
    4121   ac_status=$?
    4122   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4123   (exit $ac_status); }; } &&
    4124          { ac_try='test -s conftest$ac_exeext'
    4125   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4126   (eval $ac_try) 2>&5
    4127   ac_status=$?
    4128   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4129   (exit $ac_status); }; }; then
    4130   echo "$as_me:$LINENO: result: yes" >&5
    4131 echo "${ECHO_T}yes" >&6
    4132 else
    4133   echo "$as_me: failed program was:" >&5
    4134 sed 's/^/| /' conftest.$ac_ext >&5
    4135 
    4136 echo "$as_me:$LINENO: result: no" >&5
    4137 echo "${ECHO_T}no" >&6
    4138        LDFLAGS="$coin_save_LDFLAGS"
    4139        if test $use_static_standardlibs = yes ; then
    4140          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4141 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4142    { (exit 1); exit 1; }; }
    4143        fi
    4144 
    4145 fi
    4146 rm -f conftest.err conftest.$ac_objext \
    4147       conftest$ac_exeext conftest.$ac_ext
    4148     ;;
    4149   esac
    4150 fi
    4151 
    41523978ac_ext=c
    41533979ac_cpp='$CPP $CPPFLAGS'
     
    42124038ac_save_FFLAGS=$FFLAGS
    42134039FFLAGS="$FFLAGS $ac_verb"
    4214 (eval echo $as_me:4214: \"$ac_link\") >&5
     4040(eval echo $as_me:4040: \"$ac_link\") >&5
    42154041ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42164042echo "$ac_f77_v_output" >&5
     
    42904116ac_save_FFLAGS=$FFLAGS
    42914117FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4292 (eval echo $as_me:4292: \"$ac_link\") >&5
     4118(eval echo $as_me:4118: \"$ac_link\") >&5
    42934119ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42944120echo "$ac_f77_v_output" >&5
     
    74547280*-*-irix6*)
    74557281  # Find out which ABI we are using.
    7456   echo '#line 7456 "configure"' > conftest.$ac_ext
     7282  echo '#line 7282 "configure"' > conftest.$ac_ext
    74577283  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    74587284  (eval $ac_compile) 2>&5
     
    94509276   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94519277   -e 's:$: $lt_compiler_flag:'`
    9452    (eval echo "\"\$as_me:9452: $lt_compile\"" >&5)
     9278   (eval echo "\"\$as_me:9278: $lt_compile\"" >&5)
    94539279   (eval "$lt_compile" 2>conftest.err)
    94549280   ac_status=$?
    94559281   cat conftest.err >&5
    9456    echo "$as_me:9456: \$? = $ac_status" >&5
     9282   echo "$as_me:9282: \$? = $ac_status" >&5
    94579283   if (exit $ac_status) && test -s "$ac_outfile"; then
    94589284     # The compiler can only warn and ignore the option if not recognized
     
    97189544   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97199545   -e 's:$: $lt_compiler_flag:'`
    9720    (eval echo "\"\$as_me:9720: $lt_compile\"" >&5)
     9546   (eval echo "\"\$as_me:9546: $lt_compile\"" >&5)
    97219547   (eval "$lt_compile" 2>conftest.err)
    97229548   ac_status=$?
    97239549   cat conftest.err >&5
    9724    echo "$as_me:9724: \$? = $ac_status" >&5
     9550   echo "$as_me:9550: \$? = $ac_status" >&5
    97259551   if (exit $ac_status) && test -s "$ac_outfile"; then
    97269552     # The compiler can only warn and ignore the option if not recognized
     
    98229648   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98239649   -e 's:$: $lt_compiler_flag:'`
    9824    (eval echo "\"\$as_me:9824: $lt_compile\"" >&5)
     9650   (eval echo "\"\$as_me:9650: $lt_compile\"" >&5)
    98259651   (eval "$lt_compile" 2>out/conftest.err)
    98269652   ac_status=$?
    98279653   cat out/conftest.err >&5
    9828    echo "$as_me:9828: \$? = $ac_status" >&5
     9654   echo "$as_me:9654: \$? = $ac_status" >&5
    98299655   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    98309656   then
     
    1223912065  lt_status=$lt_dlunknown
    1224012066  cat > conftest.$ac_ext <<EOF
    12241 #line 12241 "configure"
     12067#line 12067 "configure"
    1224212068#include "confdefs.h"
    1224312069
     
    1233912165  lt_status=$lt_dlunknown
    1234012166  cat > conftest.$ac_ext <<EOF
    12341 #line 12341 "configure"
     12167#line 12167 "configure"
    1234212168#include "confdefs.h"
    1234312169
     
    1469914525   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470014526   -e 's:$: $lt_compiler_flag:'`
    14701    (eval echo "\"\$as_me:14701: $lt_compile\"" >&5)
     14527   (eval echo "\"\$as_me:14527: $lt_compile\"" >&5)
    1470214528   (eval "$lt_compile" 2>conftest.err)
    1470314529   ac_status=$?
    1470414530   cat conftest.err >&5
    14705    echo "$as_me:14705: \$? = $ac_status" >&5
     14531   echo "$as_me:14531: \$? = $ac_status" >&5
    1470614532   if (exit $ac_status) && test -s "$ac_outfile"; then
    1470714533     # The compiler can only warn and ignore the option if not recognized
     
    1480314629   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1480414630   -e 's:$: $lt_compiler_flag:'`
    14805    (eval echo "\"\$as_me:14805: $lt_compile\"" >&5)
     14631   (eval echo "\"\$as_me:14631: $lt_compile\"" >&5)
    1480614632   (eval "$lt_compile" 2>out/conftest.err)
    1480714633   ac_status=$?
    1480814634   cat out/conftest.err >&5
    14809    echo "$as_me:14809: \$? = $ac_status" >&5
     14635   echo "$as_me:14635: \$? = $ac_status" >&5
    1481014636   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1481114637   then
     
    1637316199   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1637416200   -e 's:$: $lt_compiler_flag:'`
    16375    (eval echo "\"\$as_me:16375: $lt_compile\"" >&5)
     16201   (eval echo "\"\$as_me:16201: $lt_compile\"" >&5)
    1637616202   (eval "$lt_compile" 2>conftest.err)
    1637716203   ac_status=$?
    1637816204   cat conftest.err >&5
    16379    echo "$as_me:16379: \$? = $ac_status" >&5
     16205   echo "$as_me:16205: \$? = $ac_status" >&5
    1638016206   if (exit $ac_status) && test -s "$ac_outfile"; then
    1638116207     # The compiler can only warn and ignore the option if not recognized
     
    1647716303   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1647816304   -e 's:$: $lt_compiler_flag:'`
    16479    (eval echo "\"\$as_me:16479: $lt_compile\"" >&5)
     16305   (eval echo "\"\$as_me:16305: $lt_compile\"" >&5)
    1648016306   (eval "$lt_compile" 2>out/conftest.err)
    1648116307   ac_status=$?
    1648216308   cat out/conftest.err >&5
    16483    echo "$as_me:16483: \$? = $ac_status" >&5
     16309   echo "$as_me:16309: \$? = $ac_status" >&5
    1648416310   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1648516311   then
     
    1868418510   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1868518511   -e 's:$: $lt_compiler_flag:'`
    18686    (eval echo "\"\$as_me:18686: $lt_compile\"" >&5)
     18512   (eval echo "\"\$as_me:18512: $lt_compile\"" >&5)
    1868718513   (eval "$lt_compile" 2>conftest.err)
    1868818514   ac_status=$?
    1868918515   cat conftest.err >&5
    18690    echo "$as_me:18690: \$? = $ac_status" >&5
     18516   echo "$as_me:18516: \$? = $ac_status" >&5
    1869118517   if (exit $ac_status) && test -s "$ac_outfile"; then
    1869218518     # The compiler can only warn and ignore the option if not recognized
     
    1895218778   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1895318779   -e 's:$: $lt_compiler_flag:'`
    18954    (eval echo "\"\$as_me:18954: $lt_compile\"" >&5)
     18780   (eval echo "\"\$as_me:18780: $lt_compile\"" >&5)
    1895518781   (eval "$lt_compile" 2>conftest.err)
    1895618782   ac_status=$?
    1895718783   cat conftest.err >&5
    18958    echo "$as_me:18958: \$? = $ac_status" >&5
     18784   echo "$as_me:18784: \$? = $ac_status" >&5
    1895918785   if (exit $ac_status) && test -s "$ac_outfile"; then
    1896018786     # The compiler can only warn and ignore the option if not recognized
     
    1905618882   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1905718883   -e 's:$: $lt_compiler_flag:'`
    19058    (eval echo "\"\$as_me:19058: $lt_compile\"" >&5)
     18884   (eval echo "\"\$as_me:18884: $lt_compile\"" >&5)
    1905918885   (eval "$lt_compile" 2>out/conftest.err)
    1906018886   ac_status=$?
    1906118887   cat out/conftest.err >&5
    19062    echo "$as_me:19062: \$? = $ac_status" >&5
     18888   echo "$as_me:18888: \$? = $ac_status" >&5
    1906318889   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1906418890   then
     
    2212221948# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    2212321949if test "x${prefix}" = xNONE ; then
    22124   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    22125 else
    22126   COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     21950  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     21951else
     21952  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    2212721953fi
    2212821954
Note: See TracChangeset for help on using the changeset viewer.